/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for MalignantPathologyCodesFromBI_RADS
 */
public enum EnumCV_MalignantPathologyCodesFromBI_RADS 
{
	//Malignant Pathology Codes from BI-RADS - CID 6033
		ADENOID_CYSTIC_CARCINOMA_M_82003("M-82003"),
		AXILLARY_NODE_WITH_LYMPHOMA_111300("111300"),
		AXILLARY_NODAL_METASTASES_111301("111301"),
		APOCRINE_ADENOCARCINOMA_M_84013("M-84013"),
		ANGIOSARCOMA_M_91203("M-91203"),
		BASAL_CELL_CARCINOMA_OF_NIPPLE_111307("111307"),
		BLOOD_VESSEL_VASCULAR_INVASION_111303("111303"),
		MUCINOUS_ADENOCARCINOMA_COLLOID_CARCINOMA_M_84803("M-84803"),
		CARCINOMA_IN_CHILDREN_111304("111304"),
		CHONDROSARCOMA_M_92203("M-92203"),
		CARCINOMA_IN_ECTOPIC_BREAST_111305("111305"),
		CARCINOMA_WITH_ENDOCRINE_DIFFERENTIATION_111306("111306"),
		COMEDOCARCINOMA_INTRADUCTAL_M_85012("M-85012"),
		CARCINOMA_IN_SITU_OF_MALE_BREAST_D7_F0902("D7-F0902"),
		CARCINOMA_WITH_METAPLASIA_M_85733("M-85733"),
		CARTILAGINOUS_AND_OSSEOUS_CHANGE_111309("111309"),
		CARCINOMA_IN_PREGNANCY_AND_LACTATION_111310("111310"),
		CARCINOSARCOMA_M_89803("M-89803"),
		INTRADUCTAL_COMEDOCARCINOMA_WITH_NECROSIS_111312("111312"),
		INTRADUCTAL_CARCINOMA_HIGH_GRADE_111341("111341"),
		INTRADUCTAL_CARCINOMA_LOW_GRADE_111313("111313"),
		INTRADUCTAL_CARCINOMA_MICRO_PAPILLARY_M_85072("M-85072"),
		FIBROSARCOMA_M_88103("M-88103"),
		GLYCOGEN_RICH_CARCINOMA_M_83153("M-83153"),
		HEMANGIOPERICYTOMA_M_91501("M-91501"),
		HODGKINS_DISEASE_LYMPHOMA_M_96503("M-96503"),
		INVASIVE_CRIBRIFORM_CARCINOMA_M_82013("M-82013"),
		INTRACYSTIC_PAPILLARY_CARCINOMA_111315("111315"),
		INFILTRATING_DUCT_CARCINOMA_M_85003("M-85003"),
		INVASIVE_AND_IN_SITU_CARCINOMA_111316("111316"),
		INVASIVE_LOBULAR_CARCINOMA_M_85203("M-85203"),
		INFLAMMATORY_CARCINOMA_M_85303("M-85303"),
		PAPILLARY_CARCINOMA_INVASIVE_M_80503("M-80503"),
		LEUKEMIC_INFILTRATION_111318("111318"),
		LEIOMYOSARCOMA_M_88903("M-88903"),
		LIPOSARCOMA_M_88503("M-88503"),
		LIPID_RICH_LIPID_SECRETING_CARCINOMA_M_83143("M-83143"),
		LYMPATHIC_VESSEL_INVASION_111320("111320"),
		LYMPHOMA_M_95903("M-95903"),
		OCCULT_CARCINOMA_PRESENTING_WITH_AXILLARY_LYMPH_NODE_METASTASES_111322("111322"),
		METASTATIC_CANCER_TO_THE_BREAST_111323("111323"),
		METASTATIC_CANCER_TO_THE_BREAST_FROM_THE_COLON_111324("111324"),
		METASTATIC_CANCER_TO_THE_BREAST_FROM_THE_LUNG_111325("111325"),
		METASTATIC_MELANOMA_TO_THE_BREAST_111326("111326"),
		METASTATIC_CANCER_TO_THE_BREAST_FROM_THE_OVARY_111327("111327"),
		METASTATIC_SARCOMA_TO_THE_BREAST_111328("111328"),
		MEDULLARY_CARCINOMA_M_85103("M-85103"),
		MULTIFOCAL_INTRADUCTAL_CARCINOMA_111329("111329"),
		METASTATIC_DISEASE_TO_AXILLARY_NODE_111330("111330"),
		MALIGNANT_FIBROUS_HISTIOCYTOMA_M_88303("M-88303"),
		MULTIFOCAL_INVASIVE_DUCTAL_CARCINOMA_111332("111332"),
		METASTASIS_TO_AN_INTRAMAMMARY_LYMPH_NODE_111333("111333"),
		MALIGNANT_MELANOMA_OF_NIPPLE_111334("111334"),
		NON_HODGKINS_LYMPHOMA_M_95913("M-95913"),
		NEOPLASM_OF_THE_MAMMARY_SKIN_D0_F035F("D0-F035F"),
		OSTEOGENIC_SARCOMA_M_91803("M-91803"),
		PAPILLARY_CARCINOMA_IN_SITU_M_80502("M-80502"),
		PAGETS_DISEASE_MAMMARY_OF_THE_NIPPLE_M_85403("M-85403"),
		PLASMACYTOMA_M_97313("M-97313"),
		PHYLLODES_TUMOR_MALIGNANT_M_90203("M-90203"),
		RECURRENT_MALIGNANCY_111338("111338"),
		SIGNET_RING_CELL_CARCINOMA_M_84903("M-84903"),
		SQUAMOUS_CELL_CARCINOMA_OF_THE_NIPPLE_111340("111340"),
		SPINDLE_CELL_NODULE_TUMOR_M_78190("M-78190"),
		SECRETORY_JUVENILE_CARCINOMA_OF_THE_BREAST_M_85023("M-85023"),
		SQUAMOUS_CELL_CARCINOMA_M_80703("M-80703"),
		TUBULAR_ADENOCARCINOMA_M_82113("M-82113");

	private String value;

	EnumCV_MalignantPathologyCodesFromBI_RADS(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
